BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 12-18-2005, 12:38 PM   #1 (permalink)
New Member
 
Join Date: Dec 2005
Location: tx
Model: 7100
Carrier: Cingular
Posts: 10
Post Thanks: 0
Thanked 0 Times in 0 Posts
Question BES 3.6.5 Hardware move then upgrade

Please Login to Remove!

Hello this is my first post,

We transferring one BES 3.6 server back in house it currently is outsourced with the IT department. I have built a new server w2k2003 and the plan is to move over the data during our corporate maint. window

I have read the other posts about using the same SRP, service account and same server name to avoid disruption to the devices.

Does the database need to be moved? It is MSDE? We have 500 BB users

According to some posts 3.6 will rebuild with the BESadmin account. After we have the 3.6 server running inhouse the next step will be to upgrade to BES 4.0 which we have the license for...but the Outsourced co wants $$$ to just do the upgrade. Thanks
Offline  
Old 12-19-2005, 05:04 PM   #2 (permalink)
Thumbs Must Hurt
 
Join Date: Apr 2005
Location: St. Louis
Model: 7750
Posts: 66
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

You do not need to move the DB, at least in my experience. Both times I have done this have been a SQL DB. When you install BES on new server, it will ask where the DB is, and you point it to its current location. One of the main points of the move is you can't have both BES's active with the same SRP key at the same time. When you're ready to go, stop all Blackberry services on current server, then start up/install BES on new server, input all info, and you should be good to go. If you have current/old server up and new server up with same SRP keys, RIM will lock out your account. The idea behind this is that this would never happen (2 servers with same SRP key) unless someone else is stealing your SRP key and trying to get something for nothing. If you forget and it gets locked out, a call to RIM will get it unlocked. Hope this helps.
Offline  
Old 12-26-2005, 12:00 PM   #3 (permalink)
New Member
 
Join Date: Dec 2005
Location: tx
Model: 7100
Carrier: Cingular
Posts: 10
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Thanks

Thanks we did the 3.6 cutover to a new server and all went as planned, the users were populated and was working. We had plenty of time in out maintence window and tried the 4.0 upgrade. Thats where everything went south 4.0 was only pulling 60 users from one server instance the other 440 were not showing up. After calling TX1 we had to back out and put 3.6 back into operation. After cleaning up the new server I did the 3.6 cutover and left it there for now. I will have to try 4.0 another day

From what I was told 4.0 needs the first instance name to upgrade the database? Has anybody upgraded to 4.0 with multiple server instances in 3.6?
Offline  
Old 12-26-2005, 02:59 PM   #4 (permalink)
Thumbs Must Hurt
 
morser's Avatar
 
Join Date: Feb 2005
Location: Windsor, On
Model: 9800
Carrier: Bell Mobility
Posts: 119
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

krp9711,
Was reading the BES install guide and saw this sentence. Just incase it helps you:
"If any instances of the Blackberry Enterprise Server version 3.63 or later exist that have never been added to the Blackberry Manaer, you must add them or remove them before starting the upgrade procedure. If servers exist that have not been added to the Blackberry manager, the database update cannot be completed and the upgrade process fails."
__________________
Morser,
History: PB32, 9800, 9700, 8310, 8700, 7100r, 7780, 7280, 6710, 957, 950
Offline  
Old 12-26-2005, 06:19 PM   #5 (permalink)
New Member
 
Join Date: Dec 2005
Location: tx
Model: 7100
Carrier: Cingular
Posts: 10
Post Thanks: 0
Thanked 0 Times in 0 Posts
Post

The guide is a little fuzzy on the instances that or at least I'm slow....I have one BES 3.6.5 server in which I have 2 server names showing (neither of which is still running)

BB support told when when upgrading if I use the first named instance which is the oldest and has the most users it will automatically pull the users in the second instance over. Just wondering if that is the case?

Also should I upgrade to SP 6 before going to 4.0?

Last edited by krp9711 : 12-26-2005 at 06:21 PM.
Offline  
Old 12-26-2005, 06:21 PM   #6 (permalink)
Thumbs Must Hurt
 
morser's Avatar
 
Join Date: Feb 2005
Location: Windsor, On
Model: 9800
Carrier: Bell Mobility
Posts: 119
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Yes on the upgrade to sp6 before going to 4.0. The previous issue you mentioned sounds scary, but i bet they assumed you will be on sp6 when upgrading to 4.0
__________________
Morser,
History: PB32, 9800, 9700, 8310, 8700, 7100r, 7780, 7280, 6710, 957, 950
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.